/*
 * This file was generated by the Gradle 'init' task.
 *
 * This generated file contains a sample Kotlin application project to get you started.
 * For more details take a look at the 'Building Java & JVM projects' chapter in the Gradle
 * User Manual available at https://docs.gradle.org/6.7.1/userguide/building_java_projects.html
 */

plugins {
    // Apply the org.jetbrains.kotlin.jvm Plugin to add support for Kotlin.
    id("org.jetbrains.kotlin.jvm") version "1.4.21"
    id("io.spring.dependency-management") version "1.0.10.RELEASE"

    // Apply the application plugin to add support for building a CLI application in Java.
    application
}

repositories {
    jcenter()
    mavenCentral()
    maven("https://plugins.gradle.org/m2/")
}

dependencies {
    // BOMs
    implementation(enforcedPlatform("org.jetbrains.kotlin:kotlin-bom:1.4.21"))
    implementation(enforcedPlatform("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.4.2-native-mt"))
    implementation(enforcedPlatform("io.projectreactor:reactor-bom:2020.0.3"))

    implementation("com.google.guava:guava:29.0-jre")
    implementation("io.arrow-kt:arrow-core:0.11.0")
    implementation("io.arrow-kt:arrow-syntax:0.11.0")
    implementation("javax.annotation:javax.annotation-api:1.3.2")
    implementation("org.jetbrains.kotlin:kotlin-reflect")
    implementation("org.jetbrains.kotlin:kotlin-stdlib-jdk8")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core")
    implementation("io.projectreactor.kotlin:reactor-kotlin-extensions")
    implementation("io.projectreactor:reactor-core")
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-reactor:1.4.2-native-mt")

    testImplementation("org.jetbrains.kotlin:kotlin-test")
    testImplementation("org.jetbrains.kotlin:kotlin-test-junit")
    implementation("org.mockito:mockito-core:3.7.0")
}

application {
    // Define the main class for the application.
    mainClass.set("splitflow.AppKt")
}
